<!DOCTYPE html>
<html lang="en" xmlns:th="http://www.thymeleaf.org">
<head>
<meta charset="UTF-8">
<title>Insert title here</title>

<link rel="stylesheet" th:href="@{/bootstrap-5.1.3-dist/css/bootstrap.min.css}">
<script th:src="@{/jquery-3.6.0-dist/jquery-3.6.0.min.js}"></script>
<script th:src="@{/bootstrap-5.1.3-dist/js/bootstrap.min.js}"></script>



<style>
.mensagem {
  color: red;
}
</style>
</head>
<body>

<div class="container">
  <div class="row">  	
    <div class="col">
    	
    	
		<form th:action="@{/editar/{id}(id=${item.id})}" th:object="${item}" method="post">
			  
			<div class="row mb-3">
			    <label class="col-sm-1 col-form-label">Descrição:</label>
			    <div class="col-sm-5">
			    	<input class="form-control" type="text" th:field="*{descricao}"> 
			    </div>
			    <div class="col-sm-5"> 
			    	<span class="mensagem" th:if="${#fields.hasErrors('descricao')}" th:errors="*{descricao}"></span>
			    </div>				
			</div>
			
			<div class="row mb-3">
			    <label class="col-sm-1 col-form-label">Valor:</label>
			    <div class="col-sm-3">
			    	<input class="form-control" type="text" th:field="*{valor}"> 
			    </div>
				<div class="col-sm-5"> 
			    	<span class="mensagem" th:if="${#fields.hasErrors('valor')}" th:errors="*{valor}"></span>
			    </div>
			</div>			
			
			<input  class="btn btn-primary" type="submit" value="Gravar"/>
		</form>
		
    </div>
</div>
</div>

</body>
</html>